\begin{tabular}{lllllrrr}
\toprule
{} &            feature & classifier &   balancing &    metric &  sensitivity &  specificity &  balanced\_acc \\
\midrule
0 &   long\_description &         nn &       smote &  Accuracy &     0.379679 &     0.704638 &      0.542158 \\
1 &   long\_description &         nn &       smote &     Kappa &     0.379679 &     0.704638 &      0.542158 \\
2 &  short\_description &         nb &  unbalanced &     Kappa &     0.629630 &     0.451745 &      0.540688 \\
3 &  short\_description &         nb &  unbalanced &       ROC &     0.629630 &     0.451745 &      0.540688 \\
4 &   long\_description &         rf &       smote &  Accuracy &     0.106952 &     0.954075 &      0.530513 \\
5 &   long\_description &         rf &       smote &     Kappa &     0.106952 &     0.954075 &      0.530513 \\
6 &   long\_description &         nn &       smote &       ROC &     0.374332 &     0.686628 &      0.530480 \\
7 &   long\_description &         nb &  unbalanced &     Kappa &     0.641711 &     0.408825 &      0.525268 \\
8 &   long\_description &         nb &  unbalanced &       ROC &     0.641711 &     0.408825 &      0.525268 \\
9 &   long\_description &        knn &       smote &       ROC &     0.598930 &     0.447546 &      0.523238 \\
\bottomrule
\end{tabular}
